Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.common
Class CZAppsContext

    java.lang.Object
      |
      +--oracle.apps.fnd.common.Context
            |
            +--oracle.apps.fnd.common.AppsContext
                  |
                  +--oracle.apps.cz.common.CZAppsContext

All Implemented Interfaces:
  java.lang.Cloneable, ICZContext

public class CZAppsContext
extends oracle.apps.fnd.common.AppsContext
implements ICZContext

Extends the oracle.apps.fnd.common.AppsContext to provide the logging/timing capabilities needed by a CZ runtime session.

See Also:
  `AppsContext`

Field Summary
`static java.lang.String` | `DEAD_CONNECTION_LOG`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.fnd.common.AppsContext
`LOGIN_ID, RESP_APPL_ID, RESP_ID, SECURITY_GROUP_ID, USER_ID`

Fields inherited from interface oracle.apps.cz.common.ICZContext
`LT_APPS_CONTEXT, LT_APPS_DBC_CONTEXT, LT_CZ_CONTEXT, LT_ICX_CONTEXT, LT_MOBILE_CONTEXT`

Constructor Summary
`CZAppsContext(java.lang.String gatewayUserId, java.lang.String twoTask, java.lang.String fndName, java.lang.String serverId)` Constructs a new CZAppsContext.

Method Summary
`void` | `freeContext()` Releases the resources associated with the context
`oracle.apps.cz.common.UiXmlInitMessage` | `getInitializeMessage()` Returns the parsed XML initialization message.
`java.sql.Connection` | `getJDBCConnection(java.lang.Object obj)` Gets the JDBC Connection for the CZAppsContext.
`int` | `getLoginType()` Gets the context's login type.
`java.lang.String` | `getName()` Returns the context's moniker
`boolean` | `isAlive()` Returns true if connection is alive, false otherwise.
`boolean` | `isCompatibleConnection(oracle.apps.cz.common.UiXmlInitMessage msg)` Returns true if connection is compatible, false otherwise.
`boolean` | `isSessionAlive()` Returns true if db session is alive, false otherwise.
`void` | `releaseJDBCConnection()`
`void` | `setInitializeMessage(oracle.apps.cz.common.UiXmlInitMessage msg)` Sets the parsed XML initialization message.
`void` | `setLoginType(int loginType)` Sets the context's login type.
`void` | `setName(java.lang.String name)` Sets the context's moniker

Methods inherited from class oracle.apps.fnd.common.AppsContext
`addPoolListener, clone, getAppId, getAppInfo, getAppInfo, getCurrLangCode, getCurrLangInfo, getExtraJDBCConnection, getExtraJDBCConnection, getFNDGlobal, getFndJdbcBufferMin, getGenericFileManager, getJDBCConnection, getJDBCConnection, getLangCode, getLangInfo, getLoginId, getNLSDateFormat, getNLSLang, getNLSLanguage, getNLSLanguage, getRespApplId, getRespId, getSecurityGroupID, getURL, getURL, getURLUtils, getUserId, getValidSecurityGroupIDs, logOut, releaseExtraJDBCConnection, removePoolListener, setContextProperty, setCurrLang, setDateFormat, setDateLanguage, setDBEnv, setDisplayLanguage, setNLSContext, setNumericCharacters, setOrgID, setReleaseLevel, setSecurityGroup, setSecurityGroupID, stockJDBCConnectionPool, stockJDBCConnectionPool, toString`

Methods inherited from class oracle.apps.fnd.common.Context
`getDatabaseId, getEnvStore, getErrorStack, getExtraJDBCConnection, getExtraJDBCConnection, getJDBCConnection, getLog, getPreferenceStore, getProfileStore, getResourceStore, getSessionId, getSessionManager, releaseJDBCConnection, setContextProperties, setContextProperty, setContextProperty, setLog, setPreferenceStore, setResourceStore`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### DEAD_CONNECTION_LOG

    public static final java.lang.String DEAD_CONNECTION_LOG

Constructor Detail

### CZAppsContext

    public CZAppsContext(java.lang.String gatewayUserId,
                         java.lang.String twoTask,
                         java.lang.String fndName,
                         java.lang.String serverId)

  Constructs a new CZAppsContext.
Parameters:
  `gatewayUserId` - the value of GWYUID environment variable.
  `twoTask` - the value of TWO_TASK environment variable i.e. the database name.
  `serverId` - the value of the APPL_SERVER_ID environment variable.

Method Detail

### setLoginType

    public void setLoginType(int loginType)

  Description copied from interface: `ICZContext`
  Sets the context's login type.
  Specified by:
    `setLoginType` in interface `ICZContext`
  Parameters:
    `loginType` - Login type

### getLoginType

    public int getLoginType()

  Description copied from interface: `ICZContext`
  Gets the context's login type.
  Specified by:
    `getLoginType` in interface `ICZContext`

### getInitializeMessage

    public oracle.apps.cz.common.UiXmlInitMessage getInitializeMessage()

  Description copied from interface: `ICZContext`
  Returns the parsed XML initialization message.
  Specified by:
    `getInitializeMessage` in interface `ICZContext`

### setInitializeMessage

    public void setInitializeMessage(oracle.apps.cz.common.UiXmlInitMessage msg)

  Description copied from interface: `ICZContext`
  Sets the parsed XML initialization message.
  Specified by:
    `setInitializeMessage` in interface `ICZContext`

### isCompatibleConnection

    public boolean isCompatibleConnection(oracle.apps.cz.common.UiXmlInitMessage msg)

  Description copied from interface: `ICZContext`
  Returns true if connection is compatible, false otherwise.
  Specified by:
    `isCompatibleConnection` in interface `ICZContext`

### getName

    public java.lang.String getName()

  Description copied from interface: `ICZContext`
  Returns the context's moniker
  Specified by:
    `getName` in interface `ICZContext`

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `ICZContext`
  Sets the context's moniker
  Specified by:
    `setName` in interface `ICZContext`

### isAlive

    public boolean isAlive()

  Description copied from interface: `ICZContext`
  Returns true if connection is alive, false otherwise.
  Specified by:
    `isAlive` in interface `ICZContext`

### isSessionAlive

    public boolean isSessionAlive()

  Description copied from interface: `ICZContext`
  Returns true if db session is alive, false otherwise.
  Specified by:
    `isSessionAlive` in interface `ICZContext`

### getJDBCConnection

    public java.sql.Connection getJDBCConnection(java.lang.Object obj)

  Gets the JDBC Connection for the CZAppsContext. Throws runtime exception if the JDBC connection returned from the connection pool is null.
  Overrides:
    `getJDBCConnection` in class `oracle.apps.fnd.common.Context`
  Parameters:
    `obj` - The "this" object of the class calling the method.

### releaseJDBCConnection

    public void releaseJDBCConnection()

  Overrides:
    `releaseJDBCConnection` in class `oracle.apps.fnd.common.Context`

### freeContext

    public void freeContext()

  Description copied from interface: `ICZContext`
  Releases the resources associated with the context
  Specified by:
    `freeContext` in interface `ICZContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.